Register an HTTPS Webhook for Delivery Receipts
curl --request POST \
--url https://ugatext.com/api/v1/webhooks \
--header 'Client-ID: <api-key>' \
--header 'Client-Secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://api.yourdomain.com/sms/dlr",
"events": [
"sms.sent",
"sms.delivered",
"sms.failed"
]
}
'import requests
url = "https://ugatext.com/api/v1/webhooks"
payload = {
"url": "https://api.yourdomain.com/sms/dlr",
"events": ["sms.sent", "sms.delivered", "sms.failed"]
}
headers = {
"Client-ID": "<api-key>",
"Client-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Client-ID': '<api-key>',
'Client-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
url: 'https://api.yourdomain.com/sms/dlr',
events: ['sms.sent', 'sms.delivered', 'sms.failed']
})
};
fetch('https://ugatext.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ugatext.com/api/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://api.yourdomain.com/sms/dlr',
'events' => [
'sms.sent',
'sms.delivered',
'sms.failed'
]
]),
CURLOPT_HTTPHEADER => [
"Client-ID: <api-key>",
"Client-Secret: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ugatext.com/api/v1/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://api.yourdomain.com/sms/dlr\",\n \"events\": [\n \"sms.sent\",\n \"sms.delivered\",\n \"sms.failed\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Client-ID", "<api-key>")
req.Header.Add("Client-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ugatext.com/api/v1/webhooks")
.header("Client-ID", "<api-key>")
.header("Client-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://api.yourdomain.com/sms/dlr\",\n \"events\": [\n \"sms.sent\",\n \"sms.delivered\",\n \"sms.failed\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ugatext.com/api/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Client-ID"] = '<api-key>'
request["Client-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://api.yourdomain.com/sms/dlr\",\n \"events\": [\n \"sms.sent\",\n \"sms.delivered\",\n \"sms.failed\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}{
"success": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}API Reference
Register an HTTPS Webhook for Delivery Receipts
POST
/
webhooks
Register an HTTPS Webhook for Delivery Receipts
curl --request POST \
--url https://ugatext.com/api/v1/webhooks \
--header 'Client-ID: <api-key>' \
--header 'Client-Secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://api.yourdomain.com/sms/dlr",
"events": [
"sms.sent",
"sms.delivered",
"sms.failed"
]
}
'import requests
url = "https://ugatext.com/api/v1/webhooks"
payload = {
"url": "https://api.yourdomain.com/sms/dlr",
"events": ["sms.sent", "sms.delivered", "sms.failed"]
}
headers = {
"Client-ID": "<api-key>",
"Client-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Client-ID': '<api-key>',
'Client-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
url: 'https://api.yourdomain.com/sms/dlr',
events: ['sms.sent', 'sms.delivered', 'sms.failed']
})
};
fetch('https://ugatext.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ugatext.com/api/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://api.yourdomain.com/sms/dlr',
'events' => [
'sms.sent',
'sms.delivered',
'sms.failed'
]
]),
CURLOPT_HTTPHEADER => [
"Client-ID: <api-key>",
"Client-Secret: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ugatext.com/api/v1/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://api.yourdomain.com/sms/dlr\",\n \"events\": [\n \"sms.sent\",\n \"sms.delivered\",\n \"sms.failed\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Client-ID", "<api-key>")
req.Header.Add("Client-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ugatext.com/api/v1/webhooks")
.header("Client-ID", "<api-key>")
.header("Client-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://api.yourdomain.com/sms/dlr\",\n \"events\": [\n \"sms.sent\",\n \"sms.delivered\",\n \"sms.failed\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ugatext.com/api/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Client-ID"] = '<api-key>'
request["Client-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://api.yourdomain.com/sms/dlr\",\n \"events\": [\n \"sms.sent\",\n \"sms.delivered\",\n \"sms.failed\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}{
"success": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}Authorizations
Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.
Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.
Body
application/json
Response
Webhook registered successfully

